PLplot: XwDev Struct Reference

PLplot 5.15.0

Public Attributes | List of all members
XwDev Struct Reference

`#include "plxwd.h"`

## Public Attributes
XwDisplay * | xwd
int | is_main
Window | window
Pixmap | pixmap
GC | gc
XColor | curcolor
long | event_mask
int | exit_eventloop
long | init_width
long | init_height
unsigned | width
unsigned | height
unsigned | border
double | xscale_init
double | yscale_init
double | xscale
double | yscale
short | xlen
short | ylen
int | write_to_window
int | write_to_pixmap
int | instr
int | max_instr
PLGraphicsIn | gin
int | locate_mode
int | drawing_xhairs
XPoint | xhair_x [2]
XPoint | xhair_y [2]
void(* | MasterEH )(PLStream *, XEvent *)
XColor | bgcolor

## Detailed Description

Definition at line 67 of file plxwd.h.

## Member Data Documentation

## ◆ bgcolor

XColor XwDev::bgcolor

Definition at line 107 of file plxwd.h.

## ◆ border

unsigned XwDev::border

Definition at line 82 of file plxwd.h.

## ◆ curcolor

XColor XwDev::curcolor

Definition at line 75 of file plxwd.h.

## ◆ drawing_xhairs

int XwDev::drawing_xhairs

Definition at line 100 of file plxwd.h.

## ◆ event_mask

long XwDev::event_mask

Definition at line 77 of file plxwd.h.

## ◆ exit_eventloop

int XwDev::exit_eventloop

Definition at line 78 of file plxwd.h.

## ◆ gc

GC XwDev::gc

Definition at line 74 of file plxwd.h.

## ◆ gin

PLGraphicsIn XwDev::gin

Definition at line 97 of file plxwd.h.

## ◆ height

unsigned XwDev::height

Definition at line 82 of file plxwd.h.

## ◆ init_height

long XwDev::init_height

Definition at line 80 of file plxwd.h.

## ◆ init_width

long XwDev::init_width

Definition at line 79 of file plxwd.h.

## ◆ instr

int XwDev::instr

Definition at line 94 of file plxwd.h.

## ◆ is_main

int XwDev::is_main

Definition at line 71 of file plxwd.h.

## ◆ locate_mode

int XwDev::locate_mode

Definition at line 99 of file plxwd.h.

## ◆ MasterEH

void( * XwDev::MasterEH) (PLStream *, XEvent *)

Definition at line 103 of file plxwd.h.

## ◆ max_instr

int XwDev::max_instr

Definition at line 95 of file plxwd.h.

## ◆ pixmap

Pixmap XwDev::pixmap

Definition at line 73 of file plxwd.h.

## ◆ width

unsigned XwDev::width

Definition at line 82 of file plxwd.h.

## ◆ window

Window XwDev::window

Definition at line 72 of file plxwd.h.

## ◆ write_to_pixmap

int XwDev::write_to_pixmap

Definition at line 92 of file plxwd.h.

## ◆ write_to_window

int XwDev::write_to_window

Definition at line 91 of file plxwd.h.

## ◆ xhair_x

XPoint XwDev::xhair_x[2]

Definition at line 101 of file plxwd.h.

## ◆ xhair_y

XPoint XwDev::xhair_y[2]

Definition at line 101 of file plxwd.h.

## ◆ xlen

short XwDev::xlen

Definition at line 89 of file plxwd.h.

## ◆ xscale

double XwDev::xscale

Definition at line 86 of file plxwd.h.

## ◆ xscale_init

double XwDev::xscale_init

Definition at line 84 of file plxwd.h.

## ◆ xwd

XwDisplay* XwDev::xwd

Definition at line 69 of file plxwd.h.

## ◆ ylen

short XwDev::ylen

Definition at line 89 of file plxwd.h.

## ◆ yscale

double XwDev::yscale

Definition at line 87 of file plxwd.h.

## ◆ yscale_init

double XwDev::yscale_init

Definition at line 85 of file plxwd.h.

The documentation for this struct was generated from the following file:

- plxwd.h